import chalk from 'chalk'
import dedent from 'dedent-js'

const printError = (error) => {
  console.log(chalk.red('ERROR ' + ' ' + error))
}

const printSuccess = (msg) => {
  console.log(chalk.green('SUCCESS ' + ' ' +  msg))
}

const printHelp = () => {
  console.log(
    dedent`${chalk.cyan('HELP:')}
     Without params - display weather'  
     -s [CITY] - setup weather in [CITY]
     -h - for help
     -t [API_KEY] - to setup API key 
    `
  )
}

const printWeather = (res, icon) => {
  console.log(
    dedent`${chalk.bgGreenBright('WEATHER:')} Weather in the ${res.name}
     ${icon}  ${res.weather[0].description}
     Temperature: ${res.main.temp} (feel like: ${res.main.feels_like})
     Humidity: ${res.main.humidity}
     Wind: ${res.wind.speed}
    `
  )
}

export {printError, printSuccess, printHelp, printWeather}
